Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.data
Class ManagedData

    java.lang.Object
      org.jboss.txbridge.ba.data.ManagedData

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DummyManagedData

    public class ManagedData

extends java.lang.Object
implements java.io.Serializable

This class represents the managed data object. It provides implementation of methods to store and retrieve data with given identifiers.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)
See Also:
  Serialized Form

Field Summary
`private java.lang.Object[]` | `arguments`
`private static org.apache.log4j.Logger` | `log`
`private java.util.concurrent.ConcurrentMap<java.lang.Object,java.lang.Object>` | `managedData`
`private java.lang.Object[]` | `returnObject`

Constructor Summary
`ManagedData()`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Retrieves an object of a given identifier.
`java.lang.Object[]` | `getArguments()` This method returns the array of arguments for a certain method invocation.
`java.lang.Object[]` | `getReturnObject()` Retrieves the return object.
`void` | `put(java.lang.Object key, java.lang.Object value)` Stores the object with a given identifier.
`void` | `putArguments(java.lang.Object[] arguments)` This method stores arguments of the method's invocation.
`void` | `putReturnObject(java.lang.Object returnObject)` Stores the return object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.apache.log4j.Logger log

### arguments

    private java.lang.Object[] arguments

### returnObject

    private java.lang.Object[] returnObject

### managedData

    private java.util.concurrent.ConcurrentMap<java.lang.Object,java.lang.Object> managedData

Constructor Detail

### ManagedData

    public ManagedData()

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Retrieves an object of a given identifier.

  Parameters:
    `key` - is the object's identifier.
  Returns:
    the object.

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Stores the object with a given identifier.

  Parameters:
    `key` - is the identifier.
    `value` - is the object.

### putArguments

    public void putArguments(java.lang.Object[] arguments)

  This method stores arguments of the method's invocation.

  Parameters:
    `arguments` - is the array of arguments.

### getArguments

    public java.lang.Object[] getArguments()

  This method returns the array of arguments for a certain method invocation.

  Returns:
    is the array of arguments.

### getReturnObject

    public java.lang.Object[] getReturnObject()

  Retrieves the return object.

  Returns:
    the object.

### putReturnObject

    public void putReturnObject(java.lang.Object returnObject)

  Stores the return object.

  Parameters:
    `returnObject` - is the return object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD